/* 
  Copyright (c) 2011 Stephen Chamberlin.  All rights reserved.
  Backcountry Logger by Stephen Chamberlin is licensed under a 
  Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. (CC BY-NC-SA 3.0)
  The terms of the license may be viewed at http://creativecommons.org/licenses/by-nc-sa/3.0/
  Based on a work at www.bigmessowires.com.
  Permissions beyond the scope of this license may be available at www.bigmessowires.com.
*/

#ifndef BMP085_H_
#define BMP085_H_

extern volatile float expectedSeaLevelPressure;
extern volatile uint8_t bmpError;

char bmp085Read(unsigned char address);
int bmp085ReadInt(unsigned char address);
void bmp085Reset();
void bmp085Init();
unsigned int bmp085ReadUT();
unsigned long bmp085ReadUP();
short bmp085ConvertTemperature(unsigned int ut);
long bmp085ConvertPressure(unsigned long up);
float bmp085GetAltitude(float pressure);
float bmp085GetSeaLevelPressure(float stationPressure, float trueAltitude);

#endif /* BMP085_H_ */