/* 
  Copyright (c) 2011 Stephen Chamberlin.  All rights reserved.
  Backcountry Logger by Stephen Chamberlin is licensed under a 
  Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. (CC BY-NC-SA 3.0)
  The terms of the license may be viewed at http://creativecommons.org/licenses/by-nc-sa/3.0/
  Based on a work at www.bigmessowires.com.
  Permissions beyond the scope of this license may be available at www.bigmessowires.com.
*/

#ifndef CLOCK_H_
#define CLOCK_H_

#include <inttypes.h>
#include <avr/pgmspace.h>

extern volatile uint8_t clock_second;
extern volatile uint8_t clock_minute;
extern volatile uint8_t clock_hour;
extern volatile uint8_t clock_day;
extern volatile uint8_t clock_month;
extern volatile uint8_t clock_year; // year - 2000

extern volatile uint32_t clock_elapsedQuarterSeconds;

char* MakeDateString(char* str, uint8_t day, uint8_t month);
char* MakeShortTimeString(char* str, uint8_t hour, uint8_t minute);
char* MakeTimeString(char* str, uint8_t hour, uint8_t minute, uint8_t second);
char* MakeApproxTimeString(char* str, uint16_t minutes);
char* MakePastTimeString(char* str, uint16_t timeAgo);
int StrToMonth(PGM_P str);
void ClockInit();
void ClockTick();


#endif /* CLOCK_H_ */