/* 
  Copyright (c) 2011 Stephen Chamberlin.  All rights reserved.
  Backcountry Logger by Stephen Chamberlin is licensed under a 
  Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. (CC BY-NC-SA 3.0)
  The terms of the license may be viewed at http://creativecommons.org/licenses/by-nc-sa/3.0/
  Based on a work at www.bigmessowires.com.
  Permissions beyond the scope of this license may be available at www.bigmessowires.com.
*/

#ifdef NOKIA_LCD

#ifndef NOKLCD_H_
#define NOKLCD_H_

#include <inttypes.h>
#include "sampling.h"

#define LCD_WIDTH 84
#define LCD_HEIGHT 48

#define LCD_CMD 0
#define LCD_DATA 1

#define TEXT_NORMAL 0
#define TEXT_INVERSE 1

extern volatile uint8_t lcd_vop;
extern volatile uint8_t lcd_bias;
extern volatile uint8_t lcd_tempCoef;
extern volatile int16_t graphCurrentYMin;
extern volatile int16_t graphCurrentYMax;
extern volatile int16_t graphYMin[GRAPH_COUNT];
extern volatile int16_t graphYMax[GRAPH_COUNT];
extern volatile uint8_t graphDrawPoints[GRAPH_COUNT];

void LcdReset(void);
void LcdClear(void);
void LcdPowerSave(uint8_t powerSaveOn);
void LcdGoto(int x, int y);
void LcdWrite(uint8_t dc, uint8_t data);
void LcdCharacter(char character);
void LcdString(char *characters);
void LcdTinyString(char *characters, uint8_t inverse);
void LcdTinyStringFramed(char *characters);
void LcdDrawHeading(char *characters, uint8_t inverse);
void LcdDrawGraph2(uint8_t timescaleNumber, uint8_t type, uint8_t cursorPos, uint8_t showCursor);
void LcdMakeGraphYAxis(uint8_t type, int yminlabel, int ymaxlabel, uint8_t* yMinBUffer, uint8_t* yMaxBuffer, uint8_t* yMinSize, uint8_t* yMaxSize);
void LcdDrawGraphLeftLegend(char *characters);
void LcdDrawGraphRightLegend(char *characters);


#endif /* NOKLCD_H_ */

#endif // NOKIA_LCD