/* 
  Copyright (c) 2011 Stephen Chamberlin.  All rights reserved.
  Backcountry Logger by Stephen Chamberlin is licensed under a 
  Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. (CC BY-NC-SA 3.0)
  The terms of the license may be viewed at http://creativecommons.org/licenses/by-nc-sa/3.0/
  Based on a work at www.bigmessowires.com.
  Permissions beyond the scope of this license may be available at www.bigmessowires.com.
*/

#ifndef SPEAKER_H_
#define SPEAKER_H_

#include <inttypes.h>

enum {
	BEEP_NEXT = 0,
	BEEP_ENTER,
	BEEP_EXIT,
	BEEP_ERROR,
	BEEP_TIMER_START,
	BEEP_TIMER_END
};

extern volatile uint8_t speaker_in_use;
extern volatile uint8_t soundEnable;

void SpeakerInit();
void SpeakerOff();
void SpeakerBeep(uint8_t beepType);

#endif /* SPEAKER_H_ */